<?php
/**
 * -----------------------------------------
 * @since 2.00 - 01.12.2013
 * @version 2.00
 * @link http://www.kontaktformular-script.de/
 * @author Nico Schubert / SchubertMedia
 * @abstract E-Mail: info@schubertmedia.de
 *
 * @copyright Es ist untersagt den Copyright Hinweis zu entfernen bei den Kontaktformular Script.
 * @abstract Eine Copyright freie Version knnen Sie fr einmalig 20 ,- EUR inkl. 19% MwSt. erwerben, hierzu mchten wir Sie bitten das Bestellformular http://www.kontaktformular-script.de/bestellen.php zu nutzen.
 * -----------------------------------------
 */
if(function_exists("check_email")==false){
	/**
	 * @param string $email
	 * @return boolean
	 */
	function check_email($email){
		if (!preg_match('/^[a-z0-9]+([\._a-z0-9-]+)*@([a-z0-9]+([a-z0-9\.-]+)*\.)+([a-z]{2,4}|museum)$/i',$email))
			return false;
		else
			return true;
	}
}
if(function_exists("clean_umlaute")==false){
	/**
	 * @param string $string
	 * @return string
	 */
	function clean_umlaute($string=''){
		if (get_magic_quotes_gpc()) {
			$string = stripslashes($string);
		}
		$string = str_replace(array("" , "", "", "", "", "", ""), array("ae" , "oe", "ue", "ss", "Ae", "Oe", "Ue"), $string);
		return $string;
	}
}
if(function_exists("array_to_json")==false){
	/**
	 * @param array $array
	 * @return boolean|string
	 */
	function array_to_json( $array ){
		if( !is_array( $array ) ){
			return false;
		}
		$associative = count( array_diff( array_keys($array), array_keys( array_keys( $array )) ));
		if( $associative ){
			$construct = array();
			foreach( $array as $key => $value ){
				if( is_numeric($key) ){
					$key = "key_$key";
				}
				$key = '"'.addslashes($key).'"';
				if( is_array( $value )){
					$value = array_to_json( $value );
				} else if( !is_numeric( $value ) || is_string( $value ) ){
					$value = '"'.addslashes($value).'"';
				}
				$construct[] = "$key: $value";
			}
			$result = "{ " . implode( ", ", $construct ) . " }";
		} else {
			$construct = array();
			foreach( $array as $value ){
				if( is_array( $value )){
					$value = array_to_json( $value );
				} else if( !is_numeric( $value ) || is_string( $value ) ){
					$value = '"'.addslashes($value).'"';
				}
				$construct[] = $value;
			}
			$result = "[ " . implode( ", ", $construct ) . " ]";
		}
		return $result;
	}
}
?>